Bug 67863 - Character shadow is black, not grey on MacOSX with CoreText
Summary: Character shadow is black, not grey on MacOSX with CoreText
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.1.0.0.beta2
Hardware: x86 (IA32) Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0.0.beta2
Keywords: regression
: 69007 72701 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-08-07 10:15 UTC by apomerolo
Modified: 2014-06-01 21:49 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Example with both latin and chinese characters (80.53 KB, image/png)
2013-08-07 10:15 UTC, apomerolo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description apomerolo 2013-08-07 10:15:50 UTC
Created attachment 83777 [details]
Example with both latin and chinese characters

Characters with shadows appears heavily bolded, almost unreadable when using asiatic fonts. The problem seems to be that the shadow is black colored, instead of gray or soft gray.
Comment 1 Soumya Boral 2013-08-11 04:54:25 UTC
Seeing the image it appears that the text with shadow and bold is difficult to read . Can you please post in comment steps how to reproduce the error? Then I can check it in my computer. Waiting for steps to reproduce. So I am changing the status to NeedInfo.
Comment 2 Maxim Monastirsky 2013-08-20 05:47:30 UTC
Confirmed by bug 67808 comment 7, so changing to 'NEW'.
Comment 3 Maxim Monastirsky 2013-10-08 12:25:31 UTC
*** Bug 69007 has been marked as a duplicate of this bug. ***
Comment 4 Maxim Monastirsky 2013-10-08 12:27:23 UTC
Changed 'Version' & 'Keywords' according to Bug 69007.
Comment 5 Andras Timar 2013-11-19 19:55:37 UTC
@Khaled: this is a regression from 4.1 beta 1 to 4.1 beta 2, possibly related to transition to Core Text on Mac OS X. The color of the characters' shadow should be set to gray, not to béack.
Comment 6 Khaled Hosny (inactive) 2013-11-19 20:42:35 UTC
(In reply to comment #5)
> @Khaled: this is a regression from 4.1 beta 1 to 4.1 beta 2, possibly
> related to transition to Core Text on Mac OS X. The color of the characters'
> shadow should be set to gray, not to béack.

Probably it is, and it not the only regression. Unfortunately I’m not actively working on Mac issues.
Comment 7 Maxim Monastirsky 2013-12-31 16:58:35 UTC
*** Bug 72701 has been marked as a duplicate of this bug. ***
Comment 8 Matthew Carlin 2014-05-29 20:38:53 UTC
I've reported a couple of bugs, but otherwise don't exactly know how it works. But this Bug is about 10 months old and multiple new versions have been released without addressing it. I had to go back a version when this bug started happening and have not upgraded LibreOffice since, because I need this feature on the main thing I use it for. 
If I need to look for another word processor I will, but I really like LibreOffice except for this and the fact that it won't off-set page numbers more than 5 numbers (another reported bug that is still pending).
Comment 9 Caolán McNamara 2014-05-30 13:14:35 UTC
This might have been fixed in master yesterday
Comment 10 Tor Lillqvist 2014-05-30 14:05:44 UTC
Will verify the effect on master and then cherry-pick to 4.3 if it indeed helps. (And I am fairly sure it will.)
Comment 11 Tor Lillqvist 2014-05-30 21:50:43 UTC
Nope. I don't see any difference on master after pulling and getting the commit in question.
Comment 12 Andras Timar 2014-06-01 17:59:13 UTC
I also tried, and it worked for me, so I cherry picked it to libreoffice-4-3 (	5bc5387669bca8a0b410e295b0992fd2424a1536). It would be good to have it in 4.2, too, but I leave it to the experts. :)
Comment 13 Adolfo Jayme 2014-06-01 21:49:01 UTC
For what it’s worth…

(In reply to comment #0)
> Characters with shadows appears heavily bolded

That’s an issue with simulated bold in fonts that do not have a bold style, and it’s a problem related to LibreOffice’s switch to Apple’s Core Text APIs. The issue is known; see bug 71034.